### Signal

# Gio DBusObjectSkeleton::authorize-method

since: 2.30

#### Declaration

    gboolean
    authorize_method (
      GDBusObjectSkeleton* self,
      GDBusInterfaceSkeleton* interface,
      GDBusMethodInvocation* invocation,
      gpointer user_data
    )

#### Description [src]

Emitted when a method is invoked by a remote caller and used to determine if the method call is authorized.

This signal is like `GDBusInterfaceSkeleton`‘s `GDBusInterfaceSkeleton::g-authorize-method` signal, except that it is for the enclosing object.

The default class handler just returns `TRUE`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.30

#### Parameters

`interface`

  Type: `GDBusInterfaceSkeleton`

  The `GDBusInterfaceSkeleton` that `invocation` is for.

  The data is owned by the caller of the function.

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the call is authorized, `FALSE` otherwise.